tnftp_20130505-3build1_i386.deb


Advertisement

Description

tnftp - enhanced ftp client

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: tnftp
Package version: 20130505
Package release: 3build1
Package architecture: i386
Package type: deb
Installed size: 360 B
Download size: 146.00 KB
Official Mirror: archive.ubuntu.com
tnftp is what many users affectionately call the enhanced ftp client in NetBSD (http://www.netbsd.org). This package is a `port' of the NetBSD ftp client to other systems. The enhancements over the standard ftp client in 4.4BSD include: * command-line editing within ftp * command-line fetching of URLS, including support for: - http proxies (c.f: $http_proxy, $ftp_proxy) - authentication * context sensitive command and filename completion * dynamic progress bar * IPv6 support (from the WIDE project) * modification time preservation * paging of local and remote files, and of directory listings (c.f: `lpage', `page', `pdir') * passive mode support, with fallback to active mode * `set option' override of ftp environment variables * TIS Firewall Toolkit gate ftp proxy support (c.f: `gate') * transfer-rate throttling (c.f: `-T', `rate')

Alternatives

Conflicts

  • lukemftp

Replaces

  • lukemftp

    Download

    Source package: tnftp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install tnftp deb package:
      # sudo apt-get install tnftp

    Files

    • /usr/bin/tnftp
    • /usr/share/doc/tnftp/README
    • /usr/share/doc/tnftp/THANKS
    • /usr/share/doc/tnftp/changelog.Debian.gz
    • /usr/share/doc/tnftp/copyright
    • /usr/share/doc/tnftp/todo
    • /usr/share/lintian/overrides/tnftp
    • /usr/share/man/man1/tnftp.1.gz
    • /usr/share/man/man3/editline.tn.3.gz
    • /usr/share/man/man5/editrc.tn.5.gz

    Changelog

    2016-02-07 - Matthias Klose <doko@ubuntu.com> tnftp (20130505-3build1) xenial; urgency=medium * No-change rebuild for ncurses6 transition.

    2014-11-17 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20130505-3) unstable; urgency=medium * Revert DH compatibility level to 7. * Set hardening options.

    2014-11-06 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20130505-2) unstable; urgency=medium * Only trust filenames with special meaning if they came from the command line. CVE-2014-8517. Add upstream patch CVE-2014-8517.patch. Closes: #767171. * Run dh-autoreconf to update for new architectures. Patch by Brahadambal Srinivasan <latha@linux.vnet.ibm.com>. Closes: 759467. * Standards Version is 3.9.6. * Fix uses-deprecated-compression-for-data-tarball. * Fix build-depends-on-obsolete-package. build-depends: hardening-wrapper => use dpkg-buildflags instead.

    2013-05-26 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20130505-1) unstable; urgency=low * New upstream version 20130505 * Merged upstream: 02-518858-define-ARG_MAX.patch * Standards Version is 3.9.4 * debian/control: Build-Depends on libssl-dev * Add debian/tnftp.lintian-overrides as the part of tnftp linked with OpenSSL is not covered by the GNU GPL * Update debian/rules

    2012-03-20 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20100108-3) unstable; urgency=low * Standards Version is 3.9.3 * Fix dh_installmanpages-is-obsolete Fix FTBFS Patch by Prach Pongpanich Closes: 663563

    2011-06-29 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20100108-2) unstable; urgency=low * Source format is 3.0 (quilt) * Update homepage control line * Update debian/copyright and debian/watch * Fix out-of-date-standards-version * Fix description-synopsis-starts-with-article * Fix debian-rules-missing-recommended-target

    2010-01-27 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20100108-1) unstable; urgency=low * New upstream version

    2010-01-15 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20091122-1) unstable; urgency=low * New upstream version * Remove 03-552875-getline.patch (merged) * Build depend on libbsd-dev

    2009-12-19 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20090606-2) unstable; urgency=low * Fix conflicting types for 'getline' Closes: 552875 * Fix debhelper-but-no-misc-depends * Fix out-of-date-standards-version * Fix patch-system-but-no-source-readme * Fix maintainer-script-without-set-e

    2009-06-09 - Anibal Monsalve Salazar <anibal@debian.org> tnftp (20090606-1) unstable; urgency=low * New upstream version

    Advertisement
    Advertisement